Package twisted :: Package python :: Module reflect :: Class Accessor

[frames | no frames]

## Class Accessor

Known Subclasses:
  `Application`, `ApplicationService`, `Authorizer`, `Summer`, `TendrilFactory`

Extending this class will give you explicit accessor methods; a method called `set_foo`, for example, is the same as an if statement in `__setattr__` looking for `'foo'`. Same for `get_foo` and `del_foo`. There are also `reallyDel` and `reallySet` methods, so you can override specifics in subclasses without clobbering `__setattr__` and `__getattr__`.

This implementation is for Python 2.1.

Method Summary
| `__delattr__(self, k)`
| `__getattr__(self, k)`
| `__setattr__(self, k, v)`
| ``reallyDel`(self, k)` *actually* del self.k without incurring side-effects.
| ``reallySet`(self, k, v)` *actually* set self.k to v without incurring side-effects.

Method Details

### reallyDel(self, k)

*actually* del self.k without incurring side-effects. This is a hook to be overridden by subclasses.

### reallySet(self, k, v)

*actually* set self.k to v without incurring side-effects. This is a hook to be overridden by subclasses.

Generated by Epydoc 2.0 on Sat May 15 20:08:00 2004 | http://epydoc.sf.net